<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>celParSpec Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">celParSpec Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="celParSpec" -->
<p>The description of a parameter.  
 <a href="structcelParSpec.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="parameters_8h_source.html">tools/parameters.h</a>&gt;</code></p>

<p><a href="structcelParSpec-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcelParSpec.html#adb2cb8903223af67e1530fb9fdc6c7d2">id</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The ID of the parameter.  <a href="#adb2cb8903223af67e1530fb9fdc6c7d2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsString.html">csString</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcelParSpec.html#ac746c8052498cc2d3ef3b7a5e94d4983">name</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The name of the parameter.  <a href="#ac746c8052498cc2d3ef3b7a5e94d4983"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">celDataType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcelParSpec.html#a615ca08dbe7621c5bf4aba894194789b">type</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The type of the parameter.  <a href="#a615ca08dbe7621c5bf4aba894194789b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsString.html">csString</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcelParSpec.html#a759d92d4f05d7a09d275553afce5d658">value</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The value of the parameter.  <a href="#a759d92d4f05d7a09d275553afce5d658"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>The description of a parameter. </p>

<p>Definition at line <a class="el" href="parameters_8h_source.html#l00037">37</a> of file <a class="el" href="parameters_8h_source.html">parameters.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="adb2cb8903223af67e1530fb9fdc6c7d2"></a><!-- doxytag: member="celParSpec::id" ref="adb2cb8903223af67e1530fb9fdc6c7d2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a> <a class="el" href="structcelParSpec.html#adb2cb8903223af67e1530fb9fdc6c7d2">celParSpec::id</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The ID of the parameter. </p>

<p>Definition at line <a class="el" href="parameters_8h_source.html#l00043">43</a> of file <a class="el" href="parameters_8h_source.html">parameters.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac746c8052498cc2d3ef3b7a5e94d4983"></a><!-- doxytag: member="celParSpec::name" ref="ac746c8052498cc2d3ef3b7a5e94d4983" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsString.html">csString</a> <a class="el" href="structcelParSpec.html#ac746c8052498cc2d3ef3b7a5e94d4983">celParSpec::name</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The name of the parameter. </p>

<p>Definition at line <a class="el" href="parameters_8h_source.html#l00046">46</a> of file <a class="el" href="parameters_8h_source.html">parameters.h</a>.</p>

</div>
</div>
<a class="anchor" id="a615ca08dbe7621c5bf4aba894194789b"></a><!-- doxytag: member="celParSpec::type" ref="a615ca08dbe7621c5bf4aba894194789b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">celDataType <a class="el" href="structcelParSpec.html#a615ca08dbe7621c5bf4aba894194789b">celParSpec::type</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The type of the parameter. </p>

<p>Definition at line <a class="el" href="parameters_8h_source.html#l00040">40</a> of file <a class="el" href="parameters_8h_source.html">parameters.h</a>.</p>

</div>
</div>
<a class="anchor" id="a759d92d4f05d7a09d275553afce5d658"></a><!-- doxytag: member="celParSpec::value" ref="a759d92d4f05d7a09d275553afce5d658" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsString.html">csString</a> <a class="el" href="structcelParSpec.html#a759d92d4f05d7a09d275553afce5d658">celParSpec::value</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The value of the parameter. </p>

<p>Definition at line <a class="el" href="parameters_8h_source.html#l00049">49</a> of file <a class="el" href="parameters_8h_source.html">parameters.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>tools/<a class="el" href="parameters_8h_source.html">parameters.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
